Tspi_Context_LoadKeyByUUID(3)

NAME
Tspi_Context_LoadKeyByUUID - load a key that's been registered in persistent storage.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Context_LoadKeyByUUID(TSS_HCONTEXT hContext, TSS_FLAG persistentStorageType,
                                      TSS_UUID     uuidData, TSS_HKEY* phKey);

DESCRIPTION

TSS_Context_LoadKeyByUUID creates a key object based on the information got from the manager using the UUID and loads the key into the TPM. The persistent storage provides all information to load the parent keys required to load the key associated with the given UUID.

PARAMETERS

  hContext
The handle of the context object.

  persistentStorageType
Flag indicating the persistent storage the key is registered in. Should be either TSS_PS_TYPE_USER ot TSS_PS_TYPE_SYSTEM.

  uuidData
The UUID of the key by which the key was registered in the persistent storage (TSP or connected TCS).

  phKey
Receives the handle of the key object representing the loaded key.

RETURN CODES

Tspi_Context_LoadKeyByUUID returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - hContext is an invalid handle.

TSS_E_BAD_PARAMETER - persistentStorageType is not valid.

TSS_E_INTERNAL_ERROR
    An error occurred internal to the TSS.

CONFORMING TO

Tspi_Context_LoadKeyByUUID conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Context_LoadKeyByBlob(3), Tspi_Key_LoadKey(3).